Signup
curl --request POST \
--url https://api.example.com/api/auth/signup \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "<string>",
"password": "<string>",
"company": "<string>",
"country": "<string>"
}
'import requests
url = "https://api.example.com/api/auth/signup"
payload = {
"name": "<string>",
"email": "<string>",
"password": "<string>",
"company": "<string>",
"country": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: '<string>',
password: '<string>',
company: '<string>',
country: '<string>'
})
};
fetch('https://api.example.com/api/auth/signup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"user": {},
"message": "<string>"
}Authentication
Signup
POST
/
api
/
auth
/
signup
Signup
Description
Create a new user account.Authentication
None (public endpoint)Request Body
string
required
User’s full name
string
required
User’s email address
string
required
User’s password (minimum 8 characters)
string
Optional company name
string
Optional country code
Response
boolean
Whether the signup was successful
object
Created user object
string
Success message
Example Request
curl -X POST https://api.convosphere.site/api/auth/signup \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe",
"email": "user@example.com",
"password": "secure-password",
"company": "Acme Corp"
}'
Example Response
{
"success": true,
"user": {
"id": "user_123",
"email": "user@example.com",
"name": "John Doe"
},
"message": "Account created successfully. Please check your email to verify your account."
}
Was this page helpful?
⌘I